"""Greek & math entities for Grail.

These symbols are encoded the same way as the PostScript Symbol font from
Adobe.  The standard symbols font under X11 is from Adobe, so this can be
used for both PostScript and X11 display.
"""
__version__ = '$Revision: 2.3 $'
#  $Source: /projects/cvsroot/grail/dist/src/ancillary/Greek.py,v $

# Greek & math stuff, ignored if symbol font is not available:
entitydefs = { 'forall': '\x22',
	       'exist': '\x24',
	       'Alpha': '\x41',
	       'Beta': '\x42',
	       'Chi': '\x43',
	       'Delta': '\x44',
	       'Epsi': '\x45',
	       'Phi': '\x46',
	       'Gamma': '\x47',
	       'Eta': '\x48',
	       'Iota': '\x49',
	       'thetav': '\x4a',
	       'Kappa': '\x4b',
	       'Lambda': '\x4c',
	       'Mu': '\x4d',
	       'Nu': '\x4e',
	       'Omicron': '\x4f',
	       'Pi': '\x50',
	       'Theta': '\x51',
	       'Rho': '\x52',
	       'Sigma': '\x53',
	       'Tau': '\x54',
	       'Upsi': '\x55',
	       'vsigma': '\x56',
	       'Omega': '\x57',
	       'Xi': '\x58',
	       'Psi': '\x59',
	       'Zeta': '\x5a',
	       'perp': '\x5e',
	       'alpha': '\x61',
	       'beta': '\x62',
	       'chi': '\x63',
	       'delta': '\x64',
	       'epsi': '\xce',
	       'epsilon': '\xce',
	       'vepsi': '\x65',
	       'vepsilon': '\x65',
	       'phi': '\x66',
	       'gamma': '\x67',
	       'eta': '\x68',
	       'iota': '\x69',
	       'phiv': '\x6a',
	       'varphi': '\x6a',
	       'kappa': '\x6b',
	       'lambda': '\x6c',
	       'mu': '\x6d',
	       'nu': '\x6e',
	       'omicron': '\x6f',
	       'pi': '\x70',
	       'piv': '\x70',
	       'varpi': '\x70',
	       'theta': '\x71',
	       'vtheta': '\x4a',
	       'rho': '\x72',
	       'varrho': '\x72',
	       'sigma': '\x73',
	       'tau': '\x74',
	       'upsi': '\x75',
	       'upsilon': '\x75',
	       'sigmav': '\x76',
	       'omega': '\x77',
	       'xi': '\x78',
	       'psi': '\x79',
	       'zeta': '\x7a',
	       'le': '\xa3',
	       'inf': '\xa5',
	       'harr': '\xab',
	       'larr': '\xac',
	       'uarr': '\xad',
	       'rarr': '\xae',
	       'darr': '\xaf',
	       'plusmn': '\xb1',
	       'ge': '\xb3',
	       'ne': '\xb9',
	       'equiv': '\xba',
	       'ap': '\xbb',
	       'sup': '\xc9',
	       'supe': '\xca',
	       'sub': '\xcc',
	       'sube': '\xcd',
	       'isin': '\xce',
	       'nabla': '\xd1',
	       'and': '\xd9',
	       'or': '\xda',
	       'iff': '\xdb',
	       'lArr': '\xdc',
	       'uArr': '\xdd',
	       'rArr': '\xde',
	       'dArr': '\xdf',
	       'pd': '\xb6',		# Arena does this, whatever it is.
	       'cdots': '\xd7'*3,
	       'ldots': '\xbc',		# overrides default if font available
	       'trade': '\xe4',
	       'emdash': '\xbe',	# overrides ...
	       }


#
#  end of file
